org.eclipse.graphiti.tb

## Class AbstractDecorator

- java.lang.Object
- - org.eclipse.graphiti.tb.AbstractDecorator

All Implemented Interfaces:
  IDecorator

Direct Known Subclasses:
  BorderDecorator, ColorDecorator, ImageDecorator, TextDecorator

    public abstract class AbstractDecorator
    extends java.lang.Object
    implements IDecorator

The Class AbstractDecorator.

### Constructor Summary

Constructors
Constructor and Description
`AbstractDecorator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage()` Gets the message to be shown as a tooltip for the decorator.
`void` `setMessage(java.lang.String message)` Sets the message to be shown as a tooltip for the decorator.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractDecorator

    public AbstractDecorator()

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Description copied from interface: `IDecorator`
Gets the message to be shown as a tooltip for the decorator. This can e.g. be an error message stating why the shape is marked.

Specified by:
  `getMessage` in interface `IDecorator`
Returns:
  the message

#### setMessage

    public void setMessage(java.lang.String message)

Description copied from interface: `IDecorator`
Sets the message to be shown as a tooltip for the decorator. This can e.g. be an error message stating why the shape is marked.

Specified by:
  `setMessage` in interface `IDecorator`
Parameters:
  `message` - the new message